org.apache.el.parser

## Class AstNegative

- java.lang.Object
- - org.apache.el.lang.ELSupport
  - - org.apache.el.parser.SimpleNode
    - - org.apache.el.parser.AstNegative

- All Implemented Interfaces:
    Node

      public final class AstNegative
      extends SimpleNode

  Author:
    Jacob Hookom [jacob@hookom.net]

- - ### Field Summary

    - ### Fields inherited from class org.apache.el.parser.SimpleNode

      `children, id, image, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AstNegative(int id)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getType(EvaluationContext ctx)`
    `Object` | `getValue(EvaluationContext ctx)`

    - ### Methods inherited from class org.apache.el.parser.SimpleNode

      `accept, equals, getImage, getMethodInfo, getValueReference, hashCode, invoke, isParametersProvided, isReadOnly, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setImage, setValue, toString, toString`

    - ### Methods inherited from class org.apache.el.lang.ELSupport

      `coerceToBoolean, coerceToCharacter, coerceToEnum, coerceToNumber, coerceToNumber, coerceToNumber, coerceToString, coerceToType, compare, equals, isBigDecimalOp, isBigIntegerOp, isDoubleOp, isLongOp, isStringFloat`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AstNegative

          public AstNegative(int id)

  - ### Method Detail

    - #### getType

          public Class<?> getType(EvaluationContext ctx)
                           throws ELException

      Specified by:
        `getType` in interface `Node`
      Overrides:
        `getType` in class `SimpleNode`
      Throws:
        `ELException`

    - #### getValue

          public Object getValue(EvaluationContext ctx)
                          throws ELException

      Specified by:
        `getValue` in interface `Node`
      Overrides:
        `getValue` in class `SimpleNode`
      Throws:
        `ELException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.